EARTHTRACK(1)

NAME
earthtrack - Combine xplanet and predict

SYNOPSIS
earthtrack [ -h <predictservername> ] [ -p <proj> ] [ -x <arguments for xplanet> ] [ -u <screen update interval> ] [ -o <send output to image file (default: /tmp/xplanet.png)> ] [ -c <satellite> ] [ -C <satellite> ]

OPERATION
"earthtrack" uses "xplanet" to produce an orthographic image of the earth upon which satellite names are placed over their respective sub-satellite points. The globe can be centered either over your groundstation location (default), or over the location any satellite being tracked by PREDICT. The second method allows you to "fly with the satellite" as it circles the globe. The map is updated every 20 seconds. By default, "earthtrack" connects to the PREDICT server running on "localhost". These defaults may be overridden through several command-line switches.

The -h switch allows a different PREDICT server name to be specified. The -x switch option allows additional command-line parameters to be passed to xplanet through earthtrack. (Note that the argument that follows the -x switch must be enclosed in "quotes".) The -u switch allows a different map update interval to be specified, and the -c switch allows the map to be centered on a specific satellite.

For example:

    earthtrack -c ISS -u 15 -h predictserver.org

allows earthtrack to invoke "xearth" as a display, centering the map on the location of satellite "ISS", using host "predictserver.org" as the host running PREDICT in server mode. The satellite name specified must be the same as PREDICT displays in Multi-Tracking mode. If a space appears in the name, then the entire name must be enclosed in double quotes.

"xplanet" uses highly detailed photo-realistic maps of the world available from a variety of sources to produce spectacular views of the earth. For example, if an uppercase -C is used rather than a lowercase -c for the map center switch, such as in the following example:

    earthtrack -C ISS

the map is not only centered on the location of the ISS, but the map is also zoomed into an area slightly larger than the footprint of the satellite. A range circle is also drawn on the map to indicate the actual footprint of the spacecraft at the current time.

If a map centered on the groundstation location is desired, then footprint range circles for neighboring satellites are drawn on the map. Range circles are drawn for satellites between 5 minutes prior to AOS through the point of LOS. Such a display may be created simply by executing "earthtrack" without any switches:

    earthtrack

or with the -h switch to identify the remote host running PREDICT in server mode:

    earthtrack -h predictserver.org

If the satellite being tracked is in sunlight, then the satellite name and range circle are displayed in white. If the satellite is in darkness, then the color blue is used. If the satellite is optically visible to the groundstation, then yellow is used.

"earthtrack" may also be used to generate graphics files for use in web server environments. For example:

    earthtrack2 -c ISS -x "-geometry 800x600 -output graphic.png"

will invoke "xplanet" to produce an 800x600 PNG image of the world centered on the sub-satellite point of the ISS with a name of "graphic.png". This feature, along with capabilities demonstrated in the ~/predict/clients/samples directory, can be used to develop satellite tracking and orbital prediction content for a web server.

"earthtrack" exits when its connection to the PREDICT server is broken, such as would occur if PREDICT is terminated while "earthtrack" is still running. The application may be run as background processes by placing an ampersand (&) at the end of the command line.

This version includes a -o switch to send the output to the file /tmp/xplanet.png instead of to the screen.

For more creative uses of PREDICT and earthtrack, see John Heaton, G1YYH's PREDICT and earthtrack modification web page at:

    http://voyager.mcc.ac.uk/Predict/

Happy Tracking!

73, de John, KD2BD
June 2003

OPTIONS
        -c <satellite> (center on satellite)
        -C <satellite> (center on satellite and zoom in)
    -h <hostname running predict in server mode>
    -o <output to image file>
    -p <projection>
    -x <command line arguments to pass along to xplanet>
    -u <screen update interval in seconds>

AUTHOR
This man page was written by A. Maitland Bottoms, AA4HS, for Debian GNU/Linux.